import { TSLanguageServiceDelegate } from "../languageService";
import * as lsp from "vscode-languageserver-protocol";
export interface ICommand {
    id: string;
    callback: (...args: any[]) => any;
    thisArg?: any;
}
export declare class CommandsShimService {
    private readonly delegate;
    private readonly _commands;
    private readonly _onDidRegisterCommand;
    readonly onDidRegisterCommand: lsp.Event<string>;
    constructor(delegate: TSLanguageServiceDelegate);
    getCommands(filterInternal?: boolean): Promise<string[]>;
    registerCommand(id: string, callback: (...args: any[]) => any, thisArg?: any): lsp.Disposable;
    executeCommand(id: string, ...args: any[]): Promise<any>;
}
